#include<iostream>
#include<cmath>
using namespace std;

int main()
{
	char a,b,c,d,e;
	cin>>a>>b>>c>>d>>e;
	if(a<119)
		a=a+4;
	else
		a=a-22;
		cout<<a;
		
	if(b<119)
		b=b+4;
	else
		b=b-22;
		cout<<b;
	
	if(c<119)
		c=c+4;
	else
		c=c-22;
		cout<<c;
		
	if(d<119)
	    d=d+4;
	else
		d=d-22;
		cout<<d;
		
	if(e<119)
		e=e+4;
	else
		e=e-22;
		cout<<e;
	return 0;
}
